House Cusps
Explore Synastry API's House Cusps feature for in-depth relationship analysis, calculating precise cusp positions for compatibility insights across various house systems.
Step by Step House Cusps API Postman Testing Integration
View Full Guide on Support Portal
Use Translator for Other Languages
Support Article URL: https://support.divineapi.com/general-api-support/translating-a-natal-apis-into-a-different-language
| Code | Language |
|---|---|
| en | English |
| hi | Hindi |
| pt | Portuguese |
| fr | French |
| de | German |
| ja | Japanese |
| tr | Turkish |
| ru | Russian |
| it | Italian |
| es | Spanish |
| nl | Dutch |
| pl | Polish |
Guide: These languages are supported by this API. You can use them by passing "lan" in the body with the value of the language.
House System Codes
Support Article URL: https://support.divineapi.com/western-astrology-apis/how-to-change-the-house-system-code-in-natal-astrology
| Code | System/Notes |
|---|---|
| P | Placidus |
| K | Koch |
| R | Regiomontanus |
| C | Campanus |
| A | Equal |
| W | Equal, whole sign |
| N | Whole sign, Aries = 1st house |
| X | Axial rotation system / Meridian houses |
| T | Polich/Page (“topocentric”) |
| M | Morinus |
| O | Porphyry |
| B | Alcabitius |
| D | Equal / MC |
| E | Equal = A |
| F | Carter poli-equatorial |
| G | 36 Gauquelin sectors |
| H | Horizon / azimuth |
| I | Sunshine |
| i | Sunshine alternative |
| L | Pullen (S-delta) |
| Q | Pullen (S-ratio) |
| S | Sripati |
| U | Krusinski-Pisa-Goelzer |
| V | Equal Vehlow |
| Y | APC houses |
Note: The default house system used is P — Placidus.
API Endpoint
POST https://astroapi-4.divineapi.com/western-api/v1/synastry/house-cusps
Returns: House Cusps in response.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Your API Access Token. Example: Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key* | String | Your API key |
| p1_full_name* | String | P1's Full Name, ex: Rahul Kumar |
| p1_day* | Integer | P1's date of birth, eg: 24 |
| p1_month* | Integer | P1's month of birth, eg: 05 |
| p1_year* | Integer | P1's year of birth, eg: 1998 |
| p1_hour* | Integer | P1's hour, eg: 14 |
| p1_min* | Integer | P1's minute, eg: 40 |
| p1_sec* | Integer | P1's second, eg: 43 |
| p1_gender* | String | P1's gender, ex: male |
| p1_place* | String | P1's birth place, ex: New Delhi |
| p1_lat* | Float | P1's latitude, eg: 28.7041 |
| p1_lon* | Float | P1's longitude, eg: 77.1025 |
| p1_tzone* | Float | P1's timezone, eg: 5.5 Timezone List |
| p2_full_name* | String | P2's Full Name, ex: Simran Kumari |
| p2_day* | Integer | P2's date of birth, eg: 24 |
| p2_month* | Integer | P2's month of birth, eg: 05 |
| p2_year* | Integer | P2's year of birth, eg: 1998 |
| p2_hour* | Integer | P2's hour, eg: 14 |
| p2_min* | Integer | P2's minute, eg: 40 |
| p2_sec* | Integer | P2's second, eg: 43 |
| p2_gender* | String | P2's gender, ex: male |
| p2_place* | String | P2's birth place, ex: New Delhi |
| p2_lat* | Float | P2's latitude, eg: 28.7041 |
| p2_lon* | Float | P2's longitude, eg: 77.1025 |
| p2_tzone* | Float | P2's timezone, eg: 5.5 Timezone List |
| lan | String | Language en/hi, default en |
| house_system | String | House system code, default — P (Placidus) |
| node_type | String | meannode or truenode (default: meannode) |
200: OK House Cusps fetched successfully
{
"success": 1,
"data": {
"p1_data": {
"houses": [
{
"house": 1,
"full_degree": "185.7672390",
"sign": "Libra",
"sign_no": 7,
"longitude": "5:46:2"
},
{
"house": 2,
"full_degree": "214.0124023",
"sign": "Scorpio",
"sign_no": 8,
"longitude": "4:0:45"
},
{
"house": 3,
"full_degree": "244.4678097",
"sign": "Sagittarius",
"sign_no": 9,
"longitude": "4:28:4"
},
{
"house": 4,
"full_degree": "276.0131067",
"sign": "Capricorn",
"sign_no": 10,
"longitude": "6:0:47"
},
{
"house": 5,
"full_degree": "307.6305571",
"sign": "Aquarius",
"sign_no": 11,
"longitude": "7:37:50"
},
{
"house": 6,
"full_degree": "338.0406884",
"sign": "Pisces",
"sign_no": 12,
"longitude": "8:2:26"
},
{
"house": 7,
"full_degree": "5.7672390",
"sign": "Aries",
"sign_no": 1,
"longitude": "5:46:2"
},
{
"house": 8,
"full_degree": "34.0124023",
"sign": "Taurus",
"sign_no": 2,
"longitude": "4:0:45"
},
{
"house": 9,
"full_degree": "64.4678097",
"sign": "Gemini",
"sign_no": 3,
"longitude": "4:28:4"
},
{
"house": 10,
"full_degree": "96.0131067",
"sign": "Cancer",
"sign_no": 4,
"longitude": "6:0:47"
},
{
"house": 11,
"full_degree": "127.6305571",
"sign": "Leo",
"sign_no": 5,
"longitude": "7:37:50"
},
{
"house": 12,
"full_degree": "158.0406884",
"sign": "Virgo",
"sign_no": 6,
"longitude": "8:2:26"
}
],
"ascendant": "185.7672390",
"midheaven": "96.0131067",
"vertex": "31.6351367"
},
"p2_data": {
"houses": [
{
"house": 1,
"full_degree": "185.7672390",
"sign": "Libra",
"sign_no": 7,
"longitude": "5:46:2"
},
{
"house": 2,
"full_degree": "214.0124023",
"sign": "Scorpio",
"sign_no": 8,
"longitude": "4:0:45"
},
{
"house": 3,
"full_degree": "244.4678097",
"sign": "Sagittarius",
"sign_no": 9,
"longitude": "4:28:4"
},
{
"house": 4,
"full_degree": "276.0131067",
"sign": "Capricorn",
"sign_no": 10,
"longitude": "6:0:47"
},
{
"house": 5,
"full_degree": "307.6305571",
"sign": "Aquarius",
"sign_no": 11,
"longitude": "7:37:50"
},
{
"house": 6,
"full_degree": "338.0406884",
"sign": "Pisces",
"sign_no": 12,
"longitude": "8:2:26"
},
{
"house": 7,
"full_degree": "5.7672390",
"sign": "Aries",
"sign_no": 1,
"longitude": "5:46:2"
},
{
"house": 8,
"full_degree": "34.0124023",
"sign": "Taurus",
"sign_no": 2,
"longitude": "4:0:45"
},
{
"house": 9,
"full_degree": "64.4678097",
"sign": "Gemini",
"sign_no": 3,
"longitude": "4:28:4"
},
{
"house": 10,
"full_degree": "96.0131067",
"sign": "Cancer",
"sign_no": 4,
"longitude": "6:0:47"
},
{
"house": 11,
"full_degree": "127.6305571",
"sign": "Leo",
"sign_no": 5,
"longitude": "7:37:50"
},
{
"house": 12,
"full_degree": "158.0406884",
"sign": "Virgo",
"sign_no": 6,
"longitude": "8:2:26"
}
],
"ascendant": "185.7672390",
"midheaven": "96.0131067",
"vertex": "31.6351367"
}
}
}Example Code Implementations
Below are example implementations in various programming environments.
cURL
curl --location 'https://astroapi-4.divineapi.com/western-api/v1/synastry/house-cusps' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'p1_full_name="Rahul Kumar"' \
--form 'p1_day="24"' \
--form 'p1_month="05"' \
--form 'p1_year="1998"' \
--form 'p1_hour="14"' \
--form 'p1_min="40"' \
--form 'p1_sec="43"' \
--form 'p1_gender="male"' \
--form 'p1_place="New Delhi"' \
--form 'p1_lat="28.7041"' \
--form 'p1_lon="77.1025"' \
--form 'p1_tzone="5.5"' \
--form 'p2_full_name="Simran Kumari"' \
--form 'p2_day="24"' \
--form 'p2_month="05"' \
--form 'p2_year="1998"' \
--form 'p2_hour="14"' \
--form 'p2_min="40"' \
--form 'p2_sec="43"' \
--form 'p2_gender="female"' \
--form 'p2_place="New Delhi"' \
--form 'p2_lat="28.7041"' \
--form 'p2_lon="77.1025"' \
--form 'p2_tzone="5.5"' \
--form 'lan="en"'
NodeJS
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://astroapi-4.divineapi.com/western-api/v1/synastry/house-cusps',
'headers': {
'Authorization': 'Bearer {Your Auth Token}'
},
formData: {
'api_key': '{Your API Key}',
'p1_full_name': 'Rahul Kumar',
'p1_day': '24',
'p1_month': '05',
'p1_year': '1998',
'p1_hour': '14',
'p1_min': '40',
'p1_sec': '43',
'p1_gender': 'male',
'p1_place': 'New Delhi',
'p1_lat': '28.7041',
'p1_lon': '77.1025',
'p1_tzone': '5.5',
'p2_full_name': 'Simran Kumari',
'p2_day': '24',
'p2_month': '05',
'p2_year': '1998',
'p2_hour': '14',
'p2_min': '40',
'p2_sec': '43',
'p2_gender': 'female',
'p2_place': 'New Delhi',
'p2_lat': '28.7041',
'p2_lon': '77.1025',
'p2_tzone': '5.5',
'lan': 'en'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
JavaScript (jQuery AJAX)
var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("p1_full_name", "Rahul Kumar");
form.append("p1_day", "24");
form.append("p1_month", "05");
form.append("p1_year", "1998");
form.append("p1_hour", "14");
form.append("p1_min", "40");
form.append("p1_sec", "43");
form.append("p1_gender", "male");
form.append("p1_place", "New Delhi");
form.append("p1_lat", "28.7041");
form.append("p1_lon", "77.1025");
form.append("p1_tzone", "5.5");
form.append("p2_full_name", "Simran Kumari");
form.append("p2_day", "24");
form.append("p2_month", "05");
form.append("p2_year", "1998");
form.append("p2_hour", "14");
form.append("p2_min", "40");
form.append("p2_sec", "43");
form.append("p2_gender", "female");
form.append("p2_place", "New Delhi");
form.append("p2_lat", "28.7041");
form.append("p2_lon", "77.1025");
form.append("p2_tzone", "5.5");
form.append("lan", "en");
var settings = {
"url": "https://astroapi-4.divineapi.com/western-api/v1/synastry/house-cusps",
"method": "POST",
"timeout": 0,
"headers": {
"Authorization": "Bearer {Your Auth Token}"
},
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});Python
import requests
url = "https://astroapi-4.divineapi.com/western-api/v1/synastry/house-cusps"
payload = {'api_key': '{Your API Key}',
'p1_full_name': 'Rahul Kumar',
'p1_day': '24',
'p1_month': '05',
'p1_year': '1998',
'p1_hour': '14',
'p1_min': '40',
'p1_sec': '43',
'p1_gender': 'male',
'p1_place': 'New Delhi',
'p1_lat': '28.7041',
'p1_lon': '77.1025',
'p1_tzone': '5.5',
'p2_full_name': 'Simran Kumari',
'p2_day': '24',
'p2_month': '05',
'p2_year': '1998',
'p2_hour': '14',
'p2_min': '40',
'p2_sec': '43',
'p2_gender': 'female',
'p2_place': 'New Delhi',
'p2_lat': '28.7041',
'p2_lon': '77.1025',
'p2_tzone': '5.5',
'lan': 'en'}
'Authorization': 'Bearer {Your Auth Token}
'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
Notes
Ensure latitude and longitude are decimal degrees (WGS84).
Timezone (p1_tzone, p2_tzone) must be numeric hours offset from UTC; half-hour offsets like 5.5 are supported.
If house_system is omitted, the API defaults to P (Placidus).
Language defaults to English (lan = en) when not provided.
Validate that p1_* and p2_* datetime values are plausible (e.g., hours 0–23, minutes/seconds 0–59).
API expects multipart form data in the examples shown; align your HTTP client accordingly.